// $URL: http://subversion:8080/svn/gsc/trunk/drivers/LINUX/24DSI16WRC/api/read.c $
// $Rev: 44341 $
// $Date: 2019-01-28 15:08:43 -0600 (Mon, 28 Jan 2019) $

// 24DSI16WRC: API Library: source file

#include "main.h"



//*****************************************************************************
// Return Values:
//	>=0	= success, the number of bytes transferred
//	<0  = failure, value is -errno or -GetLastError (Windows only)
int dsi16wrc_read(int fd, void* dst, size_t bytes)
{
	int	ret;

	if (bytes > GSC_IO_SIZE_QTY_MASK)
		bytes	= GSC_IO_SIZE_QTY_MASK & ~0x3;

	bytes	|= STREAM_ID_RX;
	ret		= gsc_api_read(fd, dst, bytes);
	return(ret);
}


