// $URL: http://subversion:8080/svn/gsc/trunk/drivers/LINUX/24DSI16WRC/samples/irq/gsc_ai_burst_done.c $
// $Rev: 49244 $
// $Date: 2021-04-06 12:48:51 -0500 (Tue, 06 Apr 2021) $

// 24DSI16WRC: Sample Application: source file

#include "main.h"



//*****************************************************************************
static int _irq_check_support(void)
{
	return(STATUS_SUPPORTED);
}



//*****************************************************************************
static int _irq_initiate(int fd)
{
	int	errs	= 0;

	errs	+= dsi16wrc_config_ai		(fd, -1, 0, -1, 250000);
	errs	+= dsi16wrc_irq_sel			(fd, -1, 0, DSI16WRC_IRQ_AI_BURST_DONE, NULL);
	errs	+= dsi16wrc_burst_size		(fd, -1, 0, 16, NULL);
	errs	+= dsi16wrc_burst			(fd, -1, 0, DSI16WRC_BURST_ENABLE, NULL);
	errs	+= dsi16wrc_burst_trigger	(fd, -1, 0);
	return(errs);
}



//*****************************************************************************
int gsc_ai_burst_done_irq_test(int fd, int supported)
{
	int	ret;

	if (supported)
		ret	= _irq_check_support();
	else
		ret	= _irq_initiate(fd);

	return(ret);
}


