// $URL: http://subversion:8080/svn/gsc/trunk/drivers/LINUX/24DSI16WRC/samples/irq/gsc_thresh_status_l2h.c $
// $Rev: 49265 $
// $Date: 2021-04-29 22:07:00 -0500 (Thu, 29 Apr 2021) $

// 24DSI16WRC: Sample Application: source file

#include "main.h"



//*****************************************************************************
static int _irq_check_support(void)
{
	return(STATUS_SUPPORTED);
}



//*****************************************************************************
static int _irq_initiate(int fd)
{
	int	errs	= 0;

	errs	+= dsi16wrc_config_ai		(fd, -1, 0, -1, 250000);
	errs	+= dsi16wrc_ai_buf_enable	(fd, -1, 0, DSI16WRC_AI_BUF_ENABLE_NO, NULL);
	errs	+= dsi16wrc_ai_buf_clear	(fd, -1, 0);
	errs	+= dsi16wrc_irq_sel			(fd, -1, 0, DSI16WRC_IRQ_AI_BUF_THRESH_L2H, NULL);
	errs	+= dsi16wrc_ai_buf_thresh	(fd, -1, 0, 128, NULL);
	errs	+= dsi16wrc_ai_buf_enable	(fd, -1, 0, DSI16WRC_AI_BUF_ENABLE_YES, NULL);
	return(errs);
}



//*****************************************************************************
int gsc_thresh_status_l2h_irq_test(int fd, int supported)
{
	int	ret;

	if (supported)
		ret	= _irq_check_support();
	else
		ret	= _irq_initiate(fd);

	return(ret);
}


