// $URL: http://subversion:8080/svn/gsc/trunk/drivers/LINUX/24DSI16WRC/samples/sbtest/channels_ready.c $
// $Rev: 52509 $
// $Date: 2023-03-01 12:40:28 -0600 (Wed, 01 Mar 2023) $

// 24DSI16WRC: Sample Application: source file

#include "main.h"



//*****************************************************************************
static int _service_test(int fd)
{
	return(0);
}



//*****************************************************************************
static int _function_test(int fd)
{
	// This is tested indirectly by numerous IOCTL services and their tests.
	return(0);
}



/******************************************************************************
*
*	Function:	channels_ready_test
*
*	Purpose:
*
*		Perform a test of the IOCTL service DSI16WRC_IOCTL_CHANNELS_READY.
*
*	Arguments:
*
*		fd		The handle for the device to access.
*
*	Returned:
*
*		>= 0	The number of errors encounterred.
*
******************************************************************************/

int channels_ready_test(int fd)
{
	int	errs	= 0;

	gsc_label("DSI16WRC_IOCTL_CHANNELS_READY");
	errs	+= _service_test(fd);
	errs	+= _function_test(fd);

	if (errs)
		printf("FAIL <---\n");
	else
		printf("PASS\n");

	return(errs);
}


