// $URL: http://subversion:8080/svn/gsc/trunk/drivers/LINUX/24DSI16WRC/utils/util_count.c $
// $Rev: 52506 $
// $Date: 2023-03-01 12:36:56 -0600 (Wed, 01 Mar 2023) $

// 24DSI16WRC: Utilities: source file

#include "main.h"



/******************************************************************************
*
*	Function:	dsi16wrc_count_boards
*
*	Purpose:
*
*		Count the number of installed devices.
*
*	Arguments:
*
*		verbose	Work verbosely?
*
*		get		The count is returned here.
*
*	Returned:
*
*		>= 0	The number of errors found.
*
******************************************************************************/

int dsi16wrc_count_boards(int verbose, s32* qty)
{
	int	errs;

	errs	= os_count_boards(verbose, qty, dsi16wrc_open, dsi16wrc_read, dsi16wrc_close);
	return(errs);
}



