// $URL: http://subversion:8080/svn/gsc/trunk/drivers/LINUX/24DSI16WRC/samples/irq/gsc_auto_cal_done.c $
// $Rev: 49244 $
// $Date: 2021-04-06 12:48:51 -0500 (Tue, 06 Apr 2021) $

// 24DSI16WRC: Sample Application: source file

#include "main.h"




//*****************************************************************************
static int _irq_check_support(void)
{
	return(STATUS_SUPPORTED);
}



//*****************************************************************************
static int _irq_initiate(int fd)
{
	int	errs;

	errs	= dsi16wrc_auto_calibrate(fd, -1, 0);

	os_sleep_ms(50);
	return(errs);
}



//*****************************************************************************
int gsc_auto_cal_done_irq_test(int fd, int supported)
{
	int	ret;

	if (supported)
		ret	= _irq_check_support();
	else
		ret	= _irq_initiate(fd);

	return(ret);
}


